Bug 110639 - Logout hangs when using dual head
Summary: Logout hangs when using dual head
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 109598
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 23:14 UTC by Mark Heslep
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 02:28:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Heslep 2003-11-21 23:14:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031022 Firebird/0.7 StumbleUpon/1.89

Description of problem:
W/ dual heads running, and only with dual heads, the logout process
locks up the desktop.  Only resorting to Ctl-Alt-Bkspace will return
the console and thus hard killing any apps up w/o saving session data.
Im running two panels - top and bottom.

I'm using the radeon driver for X.

Version-Release number of selected component (if applicable):
2.4.0-1

How reproducible:
Always

Steps to Reproduce:
1.Configure X for dual head 
2.Start Menu->LogOut
3.

Actual Results:  Desktop locks up, requiring a hard ctrl-alt-bk to
return the console

Expected Results:  Gnome session and X should terminate w/o error and
return the console screen

Additional info:

Comment 1 Mark Heslep 2003-11-22 00:29:07 UTC
More detail:

1. Lock up is intermittent, not always.
2. App windows can still be moved w/ the mouse but wont accept
keyboard input.  
3. The panels completely lock up. No pop ups on mouse over icon, nothing.
4. The exit, clean or hard w/ ctl-alt-bk, leaves these processes running: 
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18
gaim --session <long string...>

5. These messages reported to the console VT1:
Saving session: gnome-terminal
--window-with-profile-internal-id=Default --show-menubar
--role=gnome-terminal-5343--790170997-1069458926 --active --title
mark@rower-lab:~ --working-directory /home/mark --zoom 1
--window-with-profile-internal-id=Default --show-menubar
--role=gnome-terminal-5914-1546387761-1069460156 --active --title
mark@rower-lab:~/rpm --working-directory /home/mark/rpm --zoom 1
 
** (nautilus:5906): WARNING **: destroyed file still being monitored
 
last line repeated ....

Comment 2 Rickford Grant 2003-12-06 03:59:12 UTC
This is happening on a fresh install I'm doing on a Pent4 on i845G
motherb.  Not a dual-head setup!  All the rest is essentially the same
as above.

rg

Comment 3 Mark Heslep 2003-12-06 04:12:03 UTC
Well I've been keeping up with the FC1 updates every couple of days
and somewhere along the way the problem cleared up. Logouts are clean now.

Comment 4 Mike A. Harris 2003-12-18 18:14:39 UTC
Is this problem the same issue reported in bug #109598?  If so, or
if you think it is similar, please reassign to XFree86.

Comment 5 Keven Ring 2004-03-26 14:54:11 UTC
There is additional talk that has occurred recently on the fedora
listserve.

I have a Dell D600 Laptop with ATI Mobility 9000 graphics card.  When
I dock the system, I have 2 displays - laptop, external monitor.  The
laptop resolution is 1400x1050, while the external monitor is
1280x1024.  When I try to log out, I get a black screen.  If I
remotely log in, and kill the X server, I am presented with the gdm
login display.

If I set the laptop resolution to 1280x1024, then logout works fine.



Note You need to log in before you can comment on or make changes to this bug.